Pular para o conteúdo principal
POST
/
crm
/
v3
/
objects
/
tasks
/
batch
/
create
Criar um lote de tarefas
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/tasks/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "associations": [
        {
          "to": {
            "id": "<string>"
          },
          "types": [
            {
              "associationCategory": "HUBSPOT_DEFINED",
              "associationTypeId": 123
            }
          ]
        }
      ],
      "properties": {},
      "objectWriteTraceId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json
inputs
object[]
obrigatório

Resposta

successful operation

Um objeto de resposta em lote de objeto público

completedAt
string<date-time>
obrigatório

A data e hora em que o processamento em lote foi concluído, no formato ISO 8601.

results
object[]
obrigatório
startedAt
string<date-time>
obrigatório

A data e hora em que o processamento em lote foi iniciado, no formato ISO 8601.

status
enum<string>
obrigatório

O status da solicitação de processamento em lote: "PENDENTE", "PROCESSANDO", "CANCELADO" ou "CONCLUÍDO"

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Um objeto contendo links relevantes relacionados à solicitação em lote.

requestedAt
string<date-time>

A data e hora em que a solicitação em lote foi feita inicialmente, no formato ISO 8601.

Last modified on April 13, 2026